Find Attack discoveries that match the search criteria
- Base URL
-
https://{kibana_url}
- GET /api/attack_discovery/_find
- GET /s/{space_id}/api/attack_discovery/_find
Refer to Spaces for more information.
Find Attack discoveries that match the search criteria. Supports free text search, filtering, pagination, and sorting.
Query parameters
-
connector_namesstring -
Filter results to Attack discoveries created by any of the provided human readable connector names. Note that values must match the human readable
connector_nameproperty of an Attack discovery, e.g. "GPT-5 Chat", which are distinct fromconnector_idvalues used to generate Attack discoveries. -
enable_field_renderingboolean · default: false -
Enables a markdown syntax used to render pivot fields, for example
{{ user.name james }}. When disabled, the same example would be rendered asjames. This is primarily used for Attack Discovery views within Kibana. Defaults tofalse. -
endstring -
End of the time range for the search. Accepts absolute timestamps (ISO 8601) or relative date math (e.g. "now", "now-24h").
-
Example:
now -
include_unique_alert_idsboolean -
If
true, the response will includeunique_alert_idsandunique_alert_ids_countaggregated across the matched Attack discoveries -
per_pageinteger · min: 1 · default: 10 -
Number of Attack discoveries to return per page (used for pagination). Defaults to 10.
-
searchstring -
Free-text search query applied to relevant text fields of Attack discoveries (title, description, tags, etc.)
-
Whether to filter by shared visibility. If omitted, both shared and privately visible Attack discoveries are returned. Use
trueto return only shared discoveries,falseto return only those visible to the current user. Mutually exclusive withinclude_all_authors. -
If
true, the response will include all attack discoveries matching other criteria regardless of who created them. Mutually exclusive withshared. -
scheduledboolean -
Whether to filter by scheduled or ad-hoc attack discoveries. If omitted, both types of attack discoveries are returned. Use
trueto return only scheduled discoveries orfalseto return only ad-hoc discoveries. -
sort_field -
Field used to sort results. See
AttackDiscoveryFindSortFieldfor allowed values. -
Values:
@timestamp -
sort_order -
Sort order direction
ascfor ascending ordescfor descending. Defaults todesc. -
Values:
ascdesc -
startstring -
Start of the time range for the search. Accepts absolute timestamps (ISO 8601) or relative date math (e.g. "now-7d").
-
Example:
now-24h
Responses
Indicates a successful call.
-
connector_namesstringrequired -
List of human readable connector names that are present in the matched Attack discoveries. Useful for building client filters or summaries.
-
dataobjectrequired -
Array of matched Attack discovery objects. Each item follows the
AttackDiscoveryApiAlertschema. -
alert_rule_uuidstring -
The optional kibana.alert.rule.uuid of the rule that generated this attack discovery (not applicable to ad hock runs)
-
alert_updated_by_user_idstring -
The optional id of the user who last updated the attack discovery alert
-
alert_updated_by_user_namestring -
The optional username of the user who updated the attack discovery alert
-
alert_workflow_status_updated_atstring -
The optional time the attack discovery alert workflow status was last updated
-
connector_namestringrequired -
The (human readable) name of the connector that generated the attack discovery
-
details_markdownstringrequired -
Details of the attack with bulleted markdown that always uses special syntax for field names and values from the source data.
-
entity_summary_markdownstring -
An optional, short (no more than a sentence) summary of the attack discovery featuring only the host.name and user.name fields (when they are applicable), using the same syntax
-
The optional array of tags assigned the attack
-
timestampstring · format: nonempty · min length: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.